// All code is copyright 2004 by George Harth <george@modeblue.com>
// except portions of EventSink.h and EventSink.cpp taken from
// an eSignal sample appliction

#if !defined(AFX_TIMEANDSALESPANE_H__C9134C82_B635_4533_A070_CC30E274CF46__INCLUDED_)
#define AFX_TIMEANDSALESPANE_H__C9134C82_B635_4533_A070_CC30E274CF46__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimeAndSalesPane.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimeAndSalesPane window

#include "EventSink.h"

class CTimeAndSalesPane : public CWnd, public CTimeSalesConsumer
{
// Construction
public:
	CTimeAndSalesPane();
	BOOL QuickCreate(const RECT& rc, CWnd* pParent);
	void DrawOutline(const CRect& rc);
	void DrawLastTickTime(const CRect& rc);
	void DrawTS(const CRect& rc);
	void RenderNow(CDC* pDC);

	void SetHandle(long lHandle);
	void OnTimeSalesChanged(long lHandle);

protected:
	long m_TimeSalesHandle;

	CDC m_dc;
	CBitmap m_bmp;

	static CString m_PaneWndClass;
	static CFont m_Font;
	static CPen m_OutlinePen;

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimeAndSalesPane)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTimeAndSalesPane();

	// Generated message map functions
protected:
	//{{AFX_MSG(CTimeAndSalesPane)
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMEANDSALESPANE_H__C9134C82_B635_4533_A070_CC30E274CF46__INCLUDED_)
